routes/web.php
<?php

use App\Http\Controllers\AuthController;
use App\Http\Controllers\CartController;
use App\Http\Controllers\CategoryController;
use App\Http\Controllers\CheckOutController;
use App\Http\Controllers\CustomerController;
use App\Http\Controllers\HistoryController;
use App\Http\Controllers\HomeController;
use App\Http\Controllers\OrderController;
use App\Http\Controllers\ProductController;
use App\Http\Controllers\TransactionController;
use App\Http\Controllers\TransactionsController;
use App\Http\Controllers\UserController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/home', function () {
    return view('home');
})->middleware('auth')->name('home');

Route::get('/', [CustomerController::class, 'index'])->name('customer');
Route::get('list-product/{product}', [CustomerController::class, 'listProduct'])->name('listproduct.show');
Route::get('list-detail-product/{product}/{category}', [CustomerController::class, 'listDetailProduct'])->name('listdetailproduct.show');
Route::get('login', [AuthController::class, 'login'])->name('login');
Route::post('login', [AuthController::class, 'logon'])->name('logon');
Route::get('logout', [AuthController::class, 'logout'])->name('logout');
Route::get('register', [UserController::class, 'register'])->name('register');
Route::get('forgot-password', [AuthController::class, 'forgotPassword'])->name('forgot.Password');
Route::get('email', [AuthController::class, 'checkMail'])->name('checkMail');
Route::put('Change-password', [AuthController::class, 'changePassword'])->name('change.Password');

Route::group(['prefix' => 'user', 'middleware' => ['auth', 'role:'.role_user]], function () {
    Route::get('/', [HomeController::class, 'index']);
    Route::get('cart', [CartController::class, 'index'])->name('cart.index');
    Route::post('cart-store', [CartController::class, 'addcart'])->name('cart.store');
    Route::delete('cart-delete/{cart}', [CartController::class, 'destroy'])->name('cart.delete');
    Route::get('history', [HistoryController::class, 'index'])->name('history.index');
    Route::post('checkout', [CheckOutController::class, 'payment'])->name('payment');
    Route::get('payment', [CheckOutController::class, 'returnPayment'])->name('return.payment');
    Route::get('history/{history}', [HistoryController::class, 'detail'])->name('history.detail');
    Route::resource('transactions', TransactionController::class);
});

Route::group(['prefix' => 'admin', 'middleware' => ['auth', 'role:'.role_admin]], function () {

    Route::get('add-user', [UserController::class, 'addUser'])->name('add.user');
    Route::get('restore/{restore}', [CategoryController::class, 'restore'])->name('category.restore');
    Route::resource('categories', CategoryController::class);
    Route::get('listSoftDelete', [CategoryController::class, 'listSoftDelete'])->name('list.categorysoftDelete');
    Route::delete('realdelete/{realdelete}', [CategoryController::class, 'realDelete'])->name('category.realDelete');
    Route::resource('users', UserController::class);
});
Route::group(['prefix' => 'shop', 'middleware' => ['auth', 'role:'.role_shop]], function () {
    Route::get('productSoftDelete', [ProductController::class, 'listSoftDelete'])->name('product.softDelete');
    Route::get('restore/{restore}', [ProductController::class, 'restore'])->name('product.restore');
    Route::delete('realdelete/{realdelete}', [ProductController::class, 'realDelete'])->name('product.realDelete');
    Route::get('order', [OrderController::class, 'index'])->name('order.index');
    Route::put('order/{order}', [OrderController::class, 'update'])->name('order.update');
    Route::post('product-discount', [ProductController::class, 'updateDiscount'])->name('product.updateDiscount');
    Route::resource('products', ProductController::class);
});
Route::resource('users', UserController::class)->only('store');

resources/views/layouts/alert.blade.php
<div style="padding-top: 0.5rem ">
    @if ($errors->any())
    <div class="alert alert-danger">
        <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
        </ul>
    </div>
@endif
@if(Session::has('error'))
    <div class="alert alert-danger">
        {{Session::get('error')}}
    </div>
@endif
@if(Session::has('token'))
    <div class="alert alert-danger">
        {{Session::get('error')}}
    </div>
@endif
@if(Session::has('success'))
    <div class="alert alert-success">
        {{Session::get('success')}}
    </div>
@endif

</div>

resources/views/layouts/view_home.blade.php
<!DOCTYPE html>
<html lang="en">


<!-- Mirrored from demo.themefisher.com/focus/app-profile.html by HTTrack Website Copier/3.x [XR&CO'2014], Mon, 04 Apr 2022 18:11:07 GMT -->
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <meta name="_token" content="{{ csrf_token() }}">
    <title>Focus - Bootstrap Admin Dashboard </title>
    <!-- Favicon icon -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.0/css/all.min.css"
        integrity="sha512-xh6O/CkQoPOWDdYTDqeRdPCVd1SpvCA9XXcUnZS2FmJNp1coAFzvtCN9BmamE+4aHK8yyUHUSCcJHgXloTyT2A=="
        crossorigin="anonymous" referrerpolicy="no-referrer" />
    <link rel="icon" type="image/png" sizes="16x16" href="{{ asset('admin/images/favicon.png') }} ">
    <link href="{{ asset('admin/css/style.css')}}" rel="stylesheet">
    @yield('css')
</head>

<body>

    <!--*******************
        Preloader start
    ********************-->
    <div id="preloader">
        <div class="sk-three-bounce">
            <div class="sk-child sk-bounce1"></div>
            <div class="sk-child sk-bounce2"></div>
            <div class="sk-child sk-bounce3"></div>
        </div>
    </div>
    <!--*******************
        Preloader end
    ********************-->


    <!--**********************************
        Main wrapper start
    ***********************************-->
    <div id="main-wrapper">

        <!--**********************************
            Nav header start
        ***********************************-->
        <div class="nav-header">
            <a href="" class="brand-logo">
                <img class="logo-abbr" src="{{ asset('admin/images/logo.png') }} " alt="">
                <img class="logo-compact" src="{{ asset('admin/images/logo-text.png') }}  " alt="">
                <img class="brand-title" src="{{ asset('admin/ images/logo-text.png') }}" alt="">
            </a>
            <div class="nav-control">
                <div class="hamburger">
                    <span class="line"></span><span class="line"></span><span class="line"></span>
                </div>
            </div>
        </div>
        <!--**********************************
            Nav header end
        ***********************************-->

        <!--**********************************
            Header start
        ***********************************-->
        <div class="header">
            <div class="header-content">
                <nav class="navbar navbar-expand">
                    <div class="collapse navbar-collapse justify-content-between">
                        <div class="header-left">
                            <div class="search_bar dropdown">
                                <span class="search_icon p-3 c-pointer" data-toggle="dropdown">
                                    <i class="mdi mdi-magnify"></i>
                                </span>
                                <div class="dropdown-menu p-0 m-0">
                                    <form>
                                        <input class="form-control" type="search" placeholder="Search" aria-label="Search">
                                    </form>
                                </div>
                            </div>
                        </div>

                        <ul class="navbar-nav header-right">
                           
                            <li class="nav-item dropdown header-profile">
                                <a class="nav-link" href="#" role="button" data-toggle="dropdown">
                                    <i class="mdi mdi-account"></i>
                                </a>
                                <div class="dropdown-menu dropdown-menu-right">
                                    <a href="" class="dropdown-item">
                                        <i class="icon-user"></i>
                                        <span class="ml-2">{{auth()->user()->username}} </span>
                                    </a>
                                    <a href="{{ asset('email-inbox.html') }} " class="dropdown-item">
                                        <i class="icon-envelope-open"></i>
                                        <span class="ml-2">Inbox </span>
                                    </a>
                                    <a href="{{route('logout')}}" class="dropdown-item">
                                        <i class="icon-key"></i>
                                        <span class="ml-2">Logout </span>
                                    </a>
                                </div>
                            </li>
                        </ul>
                    </div>
                </nav>
            </div>
        </div>
        <!--**********************************
            Header end ti-comment-alt
        ***********************************-->

        <!--**********************************
            Sidebar start
        ***********************************-->
        <div class="quixnav">
            <div class="quixnav-scroll">
                <ul class="metismenu" id="menu">
                    <li class="nav-label first">Main Menu</li>
                    <!-- <li><a href="index.html"><i class="icon icon-single-04"></i><span class="nav-text">Dashboard</span></a>
                    </li> --> 
                    @if (auth()->user()->role==0)
                    <li><a class="has-arrow" href="javascript:void()" aria-expanded="false"><i
                                class="icon icon-single-04"></i><span class="nav-text">Admin</span></a>
                        <ul aria-expanded="false">
                            <li><a href="{{ route('users.index') }} ">User</a></li>
                            </ul>
                    </li>
                   
                        
                    <li><a href="{{route('categories.index')}}"> <i class="incon iconfa-spin"></i><span class="nav-text">Category</span></a></li>
                    @elseif(auth()->user()->role==1)
                  <li><a href="{{route('products.index')}}" aria-expanded="false"> <i class="incon iconfa-spin"></i><span class="nav-text">Product</span></a>
                  <li><a href="{{route('order.index')}}" aria-expanded="false"> <i class="incon iconfa-spin"></i><span class="nav-text">Order</span></a>
                    @endif
                </ul>
            </div>


        </div>
        <!--**********************************
            Sidebar end
        ***********************************-->

        <!--**********************************
            Content body start
        ***********************************-->
   
        @yield('content')
        <!--**********************************
            Content body end
        ***********************************-->


        <!--**********************************
            Footer start
        ***********************************-->
        <div class="footer">
            <div class="copyright">
                <p>Copyright © Designed &amp; Developed by <a href="#" target="_blank">Quixkit</a> 2019</p>
            </div>
        </div>
        <!--**********************************
            Footer end
        ***********************************-->

        <!--**********************************
           Support ticket button start
        ***********************************-->

        <!--**********************************
           Support ticket button end
        ***********************************-->

        
    </div>
    <!--**********************************
        Main wrapper end
    ***********************************-->

    <!--**********************************
        Scripts
    ***********************************-->
    <!-- Required vendors -->
    @yield('js')
    <script src="{{ asset('admin/vendor/global/global.min.js') }} "></script>
    <script src="{{ asset('admin/js/quixnav-init.js') }} "></script>
    <script src="{{ asset('admin/js/custom.min.js') }} "></script>
    

</body>


<!-- Mirrored from demo.themefisher.com/focus/app-profile.html by HTTrack Website Copier/3.x [XR&CO'2014], Mon, 04 Apr 2022 18:12:15 GMT -->
</html>